std::pmr::synchronized_pool_resource::do_deallocate(3)

NAME
std::pmr::synchronized_pool_resource::do_deallocate - std::pmr::synchronized_pool_resource::do_deallocate

Synopsis
   virtual void do_deallocate( void* p, std::size_t bytes, std::size_t (since C++17)
   alignment );
   Returns the memory at p to the pool. It is unspecified if or under what
   circumstances this operation will result in a call to deallocate() on the upstream
   memory resource.

Exceptions
   Throws nothing.

See also
   deallocate deallocates memory
                 (public member function of std::pmr::memory_resource)
   do_deallocate deallocates memory
   [virtual] (virtual private member function of std::pmr::memory_resource)